<div *ngIf="hero" >
    <button (click)="goBack()">Go Back</button>
    <div>
        {{hero.name | uppercase}}
    </div>
    <div><span>id: </span>{{hero.id}}</div>
    <label>Name: 
        <input [(ngModel)]="hero.name" placeholder="name"/>
    </label>
</div>